AuFreeDeviceAttributes(3)

Name
AuFreeDeviceAttributes - free memory used by lists of device attributes

Synopsis
#include <audio/audiolib.h>

void AuFreeDeviceAttributes(server, nattributes, attributes)
    AuServer *server;
    int nattributes;
    AuDeviceAttributes *attributes;

Arguments

server
    Specifies the connection to the audio server.

nattributes
    Specifies the number of device attributes to free.

attributes
    Specifies a single device attribute structure returned by AuGetDeviceAttributes or a list of device attributes returned by AuListDevices.

Description
AuFreeDeviceAttributes frees the memory allocated by AuGetDeviceAttributes or AuListDevices.

audiolib - Network Audio System C Language Interface